cockpit (337-1) unstable; urgency=medium

  * New upstream release:
    - Upgraded to Patternfly 6
    - Support "dnf needs-restarting"

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2025 14:11:05 +0000

cockpit (336-1) unstable; urgency=medium

  * New upstream release:
    - storage: Implement deletion of multi-device btrfs
    - Add a channel capabilities system

 -- Martin Pitt <mpitt@debian.org>  Mon, 24 Mar 2025 08:20:30 +0100

cockpit (335-2) unstable; urgency=medium

  * Fix --build={all,any} FTBFS. cockpit-bridge moved to "Architecture: all",
    adjust the pytest invocation accordingly.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Mar 2025 15:49:56 +0100

cockpit (335-1) unstable; urgency=medium

  * New upstream release:
    - storage: SMART support

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Mar 2025 14:27:08 +0100

cockpit (334-1) unstable; urgency=medium

  * New upstream release:
    - Don't call sudo automatically three times (RHEL-32834)

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Feb 2025 09:37:46 +0000

cockpit (333-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 13 Feb 2025 09:37:49 +0000

cockpit (332-1) unstable; urgency=medium

  * New upstream release:
    - containers/ws: Include cockpit-files
    - login: Beibooting to all supported OSes
    - metrics: Show system boots in metrics

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Jan 2025 18:54:31 +0000

cockpit (331-1) unstable; urgency=medium

  * New upstream release:
    - ws: Prevent search engine indexing with robots.txt
    - Drop cockpit-tests binary package

 -- Martin Pitt <mpitt@debian.org>  Wed, 18 Dec 2024 11:42:34 +0000

cockpit (330-4) unstable; urgency=medium

  * autopkgtest: Drop unit start test with LXC on Debian 12.
    The attempted workaround does not suffice with LXC 5 on Debian 12 any
    more (see #1073815). The units fail with "Failed to update dynamic user
    credentials: Permission denied". Also, this was becoming ridiculous, and
    not really testing the package any more.
    Give up and skip that part of the text under these conditions. It will
    still run in QEMU runners (such as in Ubuntu or some Debian
    architectures).

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 Dec 2024 11:11:50 +0000

cockpit (330-3) unstable; urgency=medium

  * autopkgtest: Fix LXC DynamicUser hack

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 Dec 2024 07:16:59 +0000

cockpit (330-2) unstable; urgency=medium

  * autopkgtest: Adjust workaround for LXC bug.
    Cockpit 330 changes the systemd unit structure wrt. DynamicUser=. The
    LXC bug is still present, so bring back the hack and adjust it to the
    current dynamic users.
  * Declare file conflict with cockpit-tests.
    cockpit-session.socket moved from -tests to -ws in 330. (Closes: #1089220)

 -- Martin Pitt <mpitt@debian.org>  Mon, 09 Dec 2024 11:46:17 +0000

cockpit (330-1) unstable; urgency=medium

  * New upstream release:
    - Web server: Increased sandboxing, setuid removal, bootc support
    - Development: New install mode using systemd-sysext

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Dec 2024 13:58:53 +0100

cockpit (329-1) unstable; urgency=medium

  * New upstream release:
    - Shell: Extra warnings when connecting to remote hosts

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Nov 2024 16:12:31 +0100

cockpit (328-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sat, 09 Nov 2024 21:04:12 +0100

cockpit (327-1) unstable; urgency=medium

  * New upstream release:
    - Connect to similar servers without Cockpit installed

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Oct 2024 11:15:28 +0200

cockpit (326-1) unstable; urgency=medium

  * New upstream release:
    - cockpit-pcp package is now obsolete
    - Storage: Support for Stratis filesystem sizes and limits

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Oct 2024 15:16:48 +0000

cockpit (325-1) unstable; urgency=medium

  * New upstream release:
    - storage: Expose Stratis virtual filesystem sizes
    - client: Properly handle unknown SSH host keys

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Sep 2024 12:57:32 +0200

cockpit (324-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Make building of cockpit-bridge.beipack.xz reproducible.

 -- Martin Pitt <mpitt@debian.org>  Sun, 15 Sep 2024 17:50:32 +0200

cockpit (323-1) unstable; urgency=medium

  * New upstream bug fix release:
    - metrics: Install valkey instead of redis on RHEL/CentOS 10
    - login: Prevent multiple logins in a single browser session
    - Update documentation links
    - debian/copyright: Fix CC0-1.0 license path. (Closes: #1078801)

 -- Martin Pitt <mpitt@debian.org>  Tue, 20 Aug 2024 10:21:51 +0200

cockpit (322-1) unstable; urgency=medium

  * New upstream release:
    - shell: Deprecate host switcher

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Aug 2024 11:12:15 +0200

cockpit (321-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Jul 2024 11:55:56 +0200

cockpit (320-1) unstable; urgency=medium

  * New upstream security release:
    - pam-ssh-add: Fix insecure killing of session ssh-agent [CVE-2024-6126]
    - sosreport: Read report directory from sos config (fixes page on
      Debian/Ubuntu)

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Jul 2024 14:22:35 +0200

cockpit (319-1) unstable; urgency=medium

  * New upstream release:
    - Storage: List btrfs snapshots in subvolume detail view

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jun 2024 14:54:15 +0200

cockpit (318-4) unstable; urgency=medium

  * autopkgtest: Fix DynamicUser= workaround.
    Add forgotten sudo for adduser. Restrict the hack to running inside of a
    container, as it works fine on the host. Add bug reference.

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Jun 2024 07:00:57 +0200

cockpit (318-3) unstable; urgency=medium

  * autopgktest: Adjust debian stable kernel+LXC hack.
    When disabling that option in the workaround, manually create the system
    user. The package postinst does not do that for us any more.

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Jun 2024 09:04:02 +0200

cockpit (318-2) unstable; urgency=medium

  * Enable DynamicUser for cockpit-ws.  Depend on libnss-systemd to ensure
    that the "cockpit-ws" dynamic user can be resolved. With that we don't
    need to create a static system user any more.

 -- Martin Pitt <mpitt@debian.org>  Mon, 17 Jun 2024 09:50:42 +0200

cockpit (318-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Extra confirmation before deleting non-empty partitions in
      Anaconda's Web UI
    - cockpit.js: Get user primary group ID

 -- Martin Pitt <mpitt@debian.org>  Mon, 17 Jun 2024 09:25:22 +0200

cockpit (317-5) unstable; urgency=medium

  * autopkgtest: Add workaround for stable kernel+LXC breaking DynamicUser=.
    Our autopkgtest fails in ci.debian.net with "
    Failed to update dynamic user credentials: Permission denied".
    This is a bug with the Debian 12 kernel and LXC, and doesn't reproduce
    when running on the host with the old kernel, or running LXC+kernel on
    testing. We don't even *actually* use a DynamicUser= there, it's statically
    allocated.

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Jun 2024 14:41:23 +0200

cockpit (317-4) unstable; urgency=medium

  * autopkgtest: Add logs for debugging failure. If the test fails, show the
    status of cockpit units, dynamic user, and the journal. That should help
    with debugging the locally unreproducible autopkgtest failure.
  * cockpit-ws.postinst: Allow apparmor_parser to fail again.
    This command breaks in Ubuntu's lxd runners: "Unable to replace
    "cockpit-desktop".  apparmor_parser: Access denied".

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Jun 2024 08:18:45 +0200

cockpit (317-3) unstable; urgency=medium

  * Bring back static cockpit-ws system user creation.
    Debian's /etc/nsswitch.conf doesn't include "passwd: systemd" by
    default, which breaks services with `DynamicUser=yes`. So we can't use
    that in Debian unconditionally yet. Go back to the static `adduser` call
    from before 317-1 in that case.

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Jun 2024 16:40:52 +0200

cockpit (317-2) unstable; urgency=medium

  * Conditionally install AppArmor profile in Debian/Ubuntu.
    Cherry-picked from upstream commit 9aacc517492f. (Closes: #1072517)

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Jun 2024 06:35:53 +0200

cockpit (317-1) unstable; urgency=medium

  * New upstream release:
    - webserver: System user changes
    - metrics: Prefer valkey over redis on Fedora
  * Temporarily drop cockpit-pcp. pcp dropped out of testing, and had been
    uninstallable there for quite some time.

 -- Martin Pitt <mpitt@debian.org>  Mon, 03 Jun 2024 07:09:55 +0200

cockpit (316-1) unstable; urgency=medium

  * New upstream release:
    - systemd: Check proper ssh service unit on Debian/Ubuntu
    - cockpit.js API: Fix format_bytes() units

 -- Martin Pitt <mpitt@debian.org>  Fri, 26 Apr 2024 07:46:21 +0200

cockpit (314-1) unstable; urgency=medium

  * New upstream security fix release:
    - Diagnostic reports: Fix command injection vulnerability with crafted
      report names [CVE-2024-2947]
    - Storage: Improvements to read-only encrypted filesystems

 -- Martin Pitt <mpitt@debian.org>  Sat, 30 Mar 2024 12:25:09 +0100

cockpit (313-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Mar 2024 13:57:32 +0100

cockpit (312-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Feb 2024 12:41:01 +0100

cockpit (311-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 Feb 2024 08:39:16 +0000

cockpit (310.1-1) unstable; urgency=medium

  * New upstream bug fix release:
    - bridge: Fix race condition/crash in file watching channels

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Feb 2024 18:10:39 +0100

cockpit (310-1) unstable; urgency=medium

  * New upstream release:
    - Storage: support for btrfs
    - Storage: improved support for swap
    - Defer placement of pam modules to pam.pc (Closes: #1061198)

 -- Martin Pitt <mpitt@debian.org>  Wed, 31 Jan 2024 17:21:26 +0100

cockpit (309-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Introduce btrfs support

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Jan 2024 15:12:01 +0100

cockpit (308-1) unstable; urgency=medium

  * New upstream release:
    - Fix connecting to remote hosts with OpenSSH 0.9.6

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Jan 2024 10:32:58 +0100

cockpit (307-1) unstable; urgency=medium

  * New upstream release:
    - Storage redesign

 -- Martin Pitt <mpitt@debian.org>  Sun, 17 Dec 2023 08:32:55 +0000

cockpit (306-1) unstable; urgency=medium

  * New upstream release:
    - Kdump: Add Ansible/shell automation

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Nov 2023 10:19:26 +0000

cockpit (305-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Nov 2023 07:47:22 +0100

cockpit (304-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Support for RAID layouts with LVM2

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Nov 2023 09:47:26 +0100

cockpit (303-1) unstable; urgency=medium

  * New upstream release:
    - Apps: Warn if appstream data package is missing
    - Shell: Redesign untrusted "add host" dialog

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Oct 2023 08:04:17 +0200

cockpit (302-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Partitions can be resized
    - Fix FTBFS with changed systemdsystemunitdir (Closes: #1053112)

 -- Martin Pitt <mpitt@debian.org>  Mon, 09 Oct 2023 09:39:07 +0200

cockpit (301-1) unstable; urgency=medium

  * New upstream release:
    - WireGuard support
    - Metrics: link to network interface details
    - Fix source build after binary build (Closes: #1044095)

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Sep 2023 07:20:37 +0200

cockpit (300.1-1) unstable; urgency=medium

  * New upstream bug fix release. Should fix FTBFS of previous upload.

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Sep 2023 15:15:58 +0200

cockpit (300-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Support for growing block devices of a Stratis pool

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Sep 2023 16:01:26 +0200

cockpit (299-1) unstable; urgency=medium

  * New upstream release:
    - Kdump: Show location of kdump to verify the successful configuration
      test
    - Storage: Support for no-overprovisioning with Stratis
    - Storage: Cockpit can now add caches to encrypted Stratis pools

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Aug 2023 13:06:30 +0200

cockpit (298-1) unstable; urgency=medium

  * New upstream version release:
    - Stratis pools can now be bound to a Tang server
    - Update to PatternFly 5
    - cockpit-tests: Drop empty cockpit.services.d directory
      (Closes: #1043322)

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Aug 2023 23:21:09 +0200

cockpit (297-1) unstable; urgency=medium

  * New upstream release:
    - users: Allow administrators to change the user shell

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jul 2023 10:21:24 +0000

cockpit (296-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Jul 2023 08:00:58 +0000

cockpit (295-1) unstable; urgency=medium

  * New upstream release:
    - Cockpit Client can now connect to servers without Cockpit installed

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Jun 2023 14:55:36 +0000

cockpit (294.1-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Multiple major fixes for the "remote python bridge" use case
    - Fix FTBFS on most of our architectures.

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 Jun 2023 11:19:37 +0000

cockpit (294-1) unstable; urgency=medium

  * New upstream release:
    - Introduce Python bridge on Fedora Rawhide and Debian unstable

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Jun 2023 11:56:31 +0000

cockpit (293-1) experimental; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Jun 2023 05:11:05 +0000

cockpit (292-1) experimental; urgency=medium

  * New upstream release:
    - Metrics: Add disk IO per service
    - Several right-to-left language fixes

 -- Martin Pitt <mpitt@debian.org>  Tue, 16 May 2023 09:42:59 +0000

cockpit (291-1) experimental; urgency=medium

  * New upstream release:
    - Update to PatternFly 5 Alpha

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 May 2023 10:18:27 +0200

cockpit (290-1) experimental; urgency=medium

  * New upstream release:
    - Login page: Add autocomplete tags
    - webserver: Disallow direct URL logins with LoginTo=false

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Apr 2023 12:14:52 +0000

cockpit (289-1) experimental; urgency=medium

  * New upstream release:
    - Metrics: Indicate high usage and use colorblind-friendly colors
    - Accounts: Improve password validation

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Apr 2023 07:55:28 +0000

cockpit (288.1-1) experimental; urgency=medium

  * New upstream release:
    - Accounts: Show shell and home directory on detail page
    - Accounts: Custom user ID during account creation
    - Overview: Support additional timeservers with chronyd
    - Metrics: Show longer time span by default
    - Storage: Mounting filesystems at boot time
    - Services: Units need to be re-pinned
    - API removal: Remove cockpit.dbus.publish() and .meta()
    - Development: Cockpit now supports the esbuild bundler

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Mar 2023 07:17:40 +0200

cockpit (287-1) unstable; urgency=medium

  * New upstream release:
    - Metrics: Column visiblity
    - Services: Pinned units need to be re-done

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Mar 2023 11:41:16 +0100

cockpit (286-1) unstable; urgency=medium

  * New upstream release:
    - Metrics: Control visibility of the resource usage graphs

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Feb 2023 11:48:57 +0100

cockpit (285-1) unstable; urgency=medium

  * New upstream release:
    - Cryptographic subpolicies support
    - users: Group creation and filtering support

 -- Martin Pitt <mpitt@debian.org>  Sun, 12 Feb 2023 07:51:27 +0100

cockpit (284-1) unstable; urgency=medium

  * New upstream release:
    - Services: Show logs for user units
    - Storage: Set up a system to use NBDE

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Jan 2023 16:40:06 +0100

cockpit (283-1) unstable; urgency=medium

  * New upstream release:
    - Services: Create timer to run every minute
  * Update to debhelper compat level 13
  * Fix all lintian errors/warnings

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 Jan 2023 10:24:12 +0100

cockpit (282-1) unstable; urgency=medium

  * New upstream release:
    - Dark theme switcher
    - Add right-to-left language support
    - Accounts: Redesign and include groups
    - Adjust Recommends for transitional policykit-1 (Closes: #1025556)
  * debian/watch: Move to GitHub API.
    The /releases page has become JavaScript-y recently and thus unreadable
    by machines. Scan the API instead and construct a download URL.

 -- Martin Pitt <mpitt@debian.org>  Fri, 16 Dec 2022 07:22:40 +0100

cockpit (280-1) unstable; urgency=medium

  * New upstream release:
    - tools: Disallow root login by default

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Nov 2022 15:25:49 +0100

cockpit (279-1) unstable; urgency=medium

  * New upstream release:
    - Dark theme support

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Nov 2022 09:56:28 +0100

cockpit (278-1) unstable; urgency=medium

  * New upstream release:
    - Metrics: Display individual disk read/write usage
    - test-channelresponse: use pidfd to watch for child exit
      (Closes: #1022788)

 -- Martin Pitt <mpitt@debian.org>  Sat, 29 Oct 2022 07:20:06 +0200

cockpit (277-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Sep 2022 06:38:03 +0200

cockpit (276.1-1) unstable; urgency=medium

  * New upstream release:
    - login: Use valid selectors when testing for :is() / :where() support

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Sep 2022 14:39:12 +0200

cockpit (276-1) unstable; urgency=medium

  * New upstream release:
    - shell: Support for alternatives to sudo

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Sep 2022 10:19:37 +0200

cockpit (274-1) unstable; urgency=medium

  * New upstream release:
    - ws: Fix segfault with channel closing (#17492)
    - Services: Fix time picker behaviour in Timer creation dialog
    - Metrics: Improve CPU temperature sensors detection
    - Fix some lintian warnings

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Aug 2022 13:15:49 +0200

cockpit (273-1) unstable; urgency=medium

  * New upstream release:
    - Metrics: Display CPU temperature
    - Networking: Suggest netmask and gateway addresses
    - Software Updates: Optionally reboot after updating
    - cockpit/ws container: Support modern SSH keys

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Jul 2022 13:44:37 +0200

cockpit (272-1) unstable; urgency=medium

  * New upstream release:
    - Firewall: Edit custom services
    - Services: Pin services as favorites
    - Login: Dark mode

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Jun 2022 12:55:11 +0200

cockpit (271-1) unstable; urgency=medium

  * New upstream release:
    - Services: User-created timer deletion
    - System Diagnostics: Working with diagnostic reports has been improved

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jun 2022 22:34:04 +0200

cockpit (269-1) unstable; urgency=medium

  * New upstream release:
    - Software Updates: Only install kpatches
    - Client: Initial support for dark mode
    - Metrics: Show Podman containers in top CPU and memory lists

 -- Martin Pitt <mpitt@debian.org>  Fri, 13 May 2022 07:40:49 +0200

cockpit (267-1) unstable; urgency=medium

  * New upstream release:
    - FIPS crypto policy support

 -- Martin Pitt <mpitt@debian.org>  Fri, 15 Apr 2022 19:59:57 +0200

cockpit (266-1) unstable; urgency=medium

  * New upstream release:
    - Show disk/memory/network sizes and rates in decimal units
    - storage: Ignore anything mounted like a Canonical "snap"

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Mar 2022 17:12:42 +0200

cockpit (265-1) unstable; urgency=medium

  * New upstream release:
    - Crypto policies support
    - Animate new rows in lists
    - Support for X-Forwarded-For
    - Manifest overrides in /etc and ~/.config directories
    - Metrics: Show busiest CPU core

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Mar 2022 06:20:19 +0100

cockpit (264-1) unstable; urgency=medium

  * New upstream release:
    - Metrics: Improve layout on small resolutions
    - Networking: Fix checkpoint handling and IP settings dialog
    - Services: Show error message instead of eternal "Loading..." state
    - Accounts: Add override button to confirm weak password
    - Accounts: Fix parsing of "last login" date

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Feb 2022 10:32:43 +0100

cockpit (263-1) unstable; urgency=medium

  * New upstream release:
    - Shell: Fix browser history
    - Cockpit-Client: Enable forward/back button
    - debian/copyright: Add node_modules/ (Closes: #1005004)

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Feb 2022 16:54:51 +0100

cockpit (262-1) unstable; urgency=medium

  * New upstream release:
    - Overview: Show scheduled shutdowns
    - Networking: Add firewall service description

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 Feb 2022 14:36:39 +0100

cockpit (261-1) unstable; urgency=medium

  * New upstream release:
    - storage: Unmounting or deleting a busy filesystem is now supported
    - shell: Allow adding ssh keys with passphrase

 -- Martin Pitt <mpitt@debian.org>  Mon, 24 Jan 2022 17:49:33 +0100

cockpit (260-1) unstable; urgency=medium

  * New upstream release:
    - Certificate login validation: Action required on updates
    - Client: Show previously used hosts
    - Client: Support port specification
    - bridge: Warning on missing cockpit-system package

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Jan 2022 12:35:11 +0100

cockpit (259-1) unstable; urgency=medium

  * New upstream release:
    - storage: More information in table rows

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Dec 2021 16:38:18 +0100

cockpit (258-1) unstable; urgency=medium

  * New upstream release:
    - Tweak login screen UI
    - Use official VDO LVM API
    - Add cockpit-client, to be bundled as a flatpak

 -- Martin Pitt <mpitt@debian.org>  Wed, 24 Nov 2021 17:59:57 +0100

cockpit (257-1) unstable; urgency=medium

  * New upstream release:
    - Support for reading TLS certificates with any permissions
    - cockpit-ws no longer supports merged certificates
    - Services: Show user-owned systemd units

 -- Martin Pitt <mpitt@debian.org>  Thu, 11 Nov 2021 07:27:51 +0100

cockpit (256-1) unstable; urgency=medium

  * New upstream release:
    - Clean up old self-signed certificates
    - Storage: Add support for Stratis

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Oct 2021 16:34:45 +0200

cockpit (255-1) unstable; urgency=medium

  * New upstream release:
    - FreeIPA-issued webserver certificates get auto-renewed

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Oct 2021 22:22:47 +0200

cockpit (254-1) unstable; urgency=medium

  * New upstream release 253:
    - SELinux: Dismiss multiple alerts
  * New upstream release 254:
    - Overview: Move last login to Health Card
    - Webserver: Restrict frame embedding to same origin (CVE-2021-3660)
    - Login: Add Arch Linux branding
    - Users: Add login history

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Sep 2021 07:48:35 +0200

cockpit (252-1) unstable; urgency=medium

  * New upstream release:
    - Webserver: Drop remotectl utility
    - Shell: Show package version in ‘About web console’ modal
    - Storage: Encryption is presented as a property of a Filesystem

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Sep 2021 18:30:17 +0200

cockpit (251-1) unstable; urgency=medium

  * New upstream release:
    - Certificate/smart card authentication to ssh and sudo
    - Logs: Polished with PF4

 -- Martin Pitt <mpitt@debian.org>  Sun, 22 Aug 2021 07:52:25 +0200

cockpit (250-1) experimental; urgency=medium

  * New upstream release:
    - Shell: Improve admin switcher and session menu
    - Software Updates: Introduce basic kpatch support

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Aug 2021 10:27:41 +0200

cockpit (249-1) experimental; urgency=medium

  * New upstream release:
    - Storage: Content table improvements
    - Common: Add Content-Type for wasm
    - All: Port away from Moment.js

 -- Martin Pitt <mpitt@debian.org>  Mon, 26 Jul 2021 18:53:45 +0200

cockpit (248-1) experimental; urgency=medium

  * New upstream release:
    - Metrics: New PCP configuration dialog and Grafana client setup
    - Storage: Show both SHA256 and SHA1 Tang fingerprints
    - Polish of the Services and Storage pages
    - PAM: Deprecate pam_cockpit_cert module
  * Revert "Enable cockpit-sosreport binary package". Binary NEW queue has not
    been processed in 3 months. Try this again some later time.

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Jul 2021 10:06:20 +0200

cockpit (244-1) experimental; urgency=medium

  * New upstream release:
    - Shell: sudo is invoked only when explicitly requested

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 May 2021 13:28:08 +0200

cockpit (243-2) experimental; urgency=medium

  * Enable cockpit-sosreport binary package. It is tested and supported
    upstream, and the "sosreport" package has been in Debian for a long time.

 -- Martin Pitt <mpitt@debian.org>  Fri, 30 Apr 2021 08:23:47 +0200

cockpit (243-1) experimental; urgency=medium

  * New upstream release. Lots of changes, but packaging-wise the most
    relevant one is that the cockpit-machines binary package got split out
    into its own upstream project and source package.

 -- Martin Pitt <mpitt@debian.org>  Fri, 30 Apr 2021 07:52:05 +0200

cockpit (239-1) unstable; urgency=medium

  * New upstream release:
    - Terminal: Support for changing the font size
    - Machines: Allow editing disk cache mode
    - Logs: Link to related services page
    - SELinux: Restyle to resemble other pages
    - Packaging: Removed ./configure options for distribution specific packages

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Mar 2021 07:02:09 +0100

cockpit (238-1) unstable; urgency=medium

  * New upstream release:
    - Updates: List outdated software that needs a restart
    - Web server: Preserve permissions of administrator-provided certificates
    - System: Performance page shows busiest CPU cores
    - Machines: VM disk creation supports a custom path

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Feb 2021 07:49:19 +0100

cockpit (237-1) unstable; urgency=medium

  * New upstream release:
    - Restyling updates page in preparation for upcoming features
    - SSH connections to remote machines are only opened when necessary
    - Skip slow unit tests on hppa (Closes: #981127)

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Feb 2021 15:48:44 +0100

cockpit (236-1) unstable; urgency=medium

  * New upstream release:
    - fslist channels: Include properties of changed files
    - Internal stabilization work

 -- Martin Pitt <mpitt@debian.org>  Fri, 22 Jan 2021 07:56:45 +0100

cockpit (235-1) unstable; urgency=medium

  * New upstream release:
    - Login: Improved handling of SSH host keys
    - Overview: Editable motd

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Jan 2021 13:42:37 +0100

cockpit (234-1) unstable; urgency=medium

  * New upstream release:
    - machines: Allow editing VM's CPU mode and model
    - machines: Add support for cloning VMs
    - dashboard: Drop, replaced by menu host switcher

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Dec 2020 11:19:39 +0100

cockpit (233-1) unstable; urgency=medium

  * New upstream release 232:
    - Improved host editing
    - Machines: Inline error messages
  * New upstream release 233:
    - Non-admin users no longer see Cockpit in motd
    - Developers: jQuery API removal

 -- Martin Pitt <mpitt@debian.org>  Thu, 26 Nov 2020 09:10:05 +0100

cockpit (231-1) unstable; urgency=medium

  * New upstream release:
    - Replace system's graph page with a completely new USE method page
    - Machines: Reimplement the design of the main VMs list
    - Logging of remote IP addresses

 -- Martin Pitt <mpitt@debian.org>  Sat, 31 Oct 2020 20:49:53 +0100

cockpit (230-1) unstable; urgency=medium

  * New upstream release:
    - storage: List entries from /etc/crypttab that are still locked

 -- Martin Pitt <mpitt@debian.org>  Fri, 16 Oct 2020 16:24:01 +0200

cockpit (229-1) unstable; urgency=medium

  * New upstream release:
    - shell: Any page can be the shell

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Sep 2020 14:55:55 +0200

cockpit (228-1) unstable; urgency=medium

  * New upstream release:
    - Accounts: Allow setting weak passwords
    - Changes to remote host logins
    - Machines: Add support for reverting and deleting VM snapshots
    - Drop cockpit-docker code

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Sep 2020 16:33:50 +0200

cockpit (227-1) unstable; urgency=medium

  * New upstream release:
    - Machines: Virtual machine list filtering
    - Continued PatternFly 4 migration

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 Sep 2020 15:53:26 +0200

cockpit (226-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Better support for "noauto" LUKS devices

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Aug 2020 08:41:41 +0200

cockpit (225-1) unstable; urgency=medium

  * New upstream release:
    - Machines: Add support for VM snapshots
    - Developer API: Launch and reattach to a long-running process

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Aug 2020 20:51:21 +0200

cockpit (224-1) unstable; urgency=medium

  * New upstream release:
    - Machines/Services: Multiple bug fixes

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Jul 2020 09:17:17 +0200

cockpit (223-1) unstable; urgency=medium

  * New upstream release 222:
    - Logs: More flexible text filters
    - Services, Dashboard: Hide some buttons when access is limited
    - Webserver: Lock down cockpit.service privileges
  * New upstream release 223:
    - Webserver: Standard-conformant lifetime of web server Certificate
    - Certificate authentication against Active Directory

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jul 2020 18:56:22 +0200

cockpit (221.1-1) unstable; urgency=medium

  * New upstream release:
    - Put back missing base1/patternfly.css
    - Services: Don't offer 'Start Service' in Limited Access mode

 -- Martin Pitt <mpitt@debian.org>  Mon, 15 Jun 2020 20:12:27 +0200

cockpit (221-1) unstable; urgency=medium

  * New upstream release:
    - Support for Cross-Origin-Resource-Policy
    - Accounts: Some buttons are hidden when access is limited
    - Developers: Importing "base1/patternfly.css" is deprecated

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Jun 2020 14:44:39 +0200

cockpit (220-1) unstable; urgency=medium

  * New upstream release:
    - New navigation with integrated switching of hosts
    - Logs: Inline help for filtering
    - Storage: Improve side panel on details page
    - Fix unit tests on IPv6-only build hosts (Closes: #960752)

 -- Martin Pitt <mpitt@debian.org>  Thu, 28 May 2020 07:04:14 +0200

cockpit (219-1) unstable; urgency=medium

  * New upstream release:
    - Logs: Improved filtering
    - Gain or drop administrative access in a running Cockpit session

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 May 2020 19:59:55 +0200

cockpit (218-1) unstable; urgency=medium

  * New upstream release:
    - Services: Improved accessibility and mobile support
    - Overview: Add uptime information
    - Disable idle timeout by default
    - Support building without polkit

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Apr 2020 20:35:53 +0200

cockpit (217-2) unstable; urgency=medium

  * debian/rules: Fix conditional for building cockpit-docker.
    Thanks to Bruno Gravato for spotting the error!

 -- Martin Pitt <mpitt@debian.org>  Tue, 21 Apr 2020 21:30:21 +0200

cockpit (217-1) unstable; urgency=medium

  * New upstream release:
    - Overview: more Insights details
    - Dialogs: new button order
    - Machines: sendings keys to VM consoles

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Apr 2020 09:14:00 +0200

cockpit (216-1) unstable; urgency=medium

  * New upstream release:
    - SELinux: Automatic application of solutions that set booleans
    - Machines: Drop virsh backend support
    - Overview: New last login banner

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Apr 2020 13:30:27 +0000

cockpit (215-1) unstable; urgency=medium

  * New upstream release:
    - Networking: Show additional ports for each firewall zone

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 Mar 2020 06:54:27 +0000

cockpit (214.1-1) unstable; urgency=medium

  * New upstream release:
    - Updates: Fix unstyled button regression
    - Machines: Fix slow requests when enabling polkit access driver
    - Deprecate cockpit-docker for Fedora, Debian, and Ubuntu development
      series

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 Mar 2020 17:22:22 +0100

cockpit (214-1) unstable; urgency=medium

  * New upstream release:
    - Networking: List Firewall active zones when unprivileged
    - Start Selenium tests deprecation

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Mar 2020 16:54:20 +0100

cockpit (213-1) unstable; urgency=medium

  * New upstream release:
    - Inline documentation
    - Support for transient virtual machines
    - UEFI for virtual machines
    - Unattended virtual machines installation

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Feb 2020 15:06:26 +0000

cockpit (212-1) unstable; urgency=medium

  * New upstream release:
    - Per page documentation
    - Localize times

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Feb 2020 09:38:26 +0000

cockpit (211-1) unstable; urgency=medium

  * New upstream release:
    - Better support for various TLS certificate formats
    - Switch from Zanata to Weblate
    - Overview layout optimizations

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Jan 2020 21:45:31 +0000

cockpit (210-1) unstable; urgency=medium

  * New upstream release 209:
    - New overview design
    - Session timeouts
    - Banners on login screen
    - Client certificate authentication
    - Support for Fedora CoreOS
    - Dropped support for pam_rhost
  * New upstream release 210:
    - Overview: Add CPU utilization to usage card
    - Dashboard: Support SSH identity unlocking when adding new machines
    - SElinux: Introduce an Ansible automation script
    - Machines: Support bridge type network interfaces
    - Machines: Support bus type disk configuration

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jan 2020 22:30:01 +0000

cockpit (208-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Drop default mount point concept
    - Machines: Support transient virtual networks and storage pools
    - Machines: Sliders for disk size and memory in VM creation
    - Logs: Improve crash reporting

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Nov 2019 21:23:37 +0000

cockpit (207-1) unstable; urgency=medium

  * New upstream release:
    - Web server: Accept EC certificates
    - Storage: List all software devices in a single panel
    - Redesigned notifications

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Nov 2019 21:41:56 +0000

cockpit (206-1) unstable; urgency=medium

  * New upstream release 205:
    - Firewall: UI restructuring
    - Machines: Refactor Create VM dialog and introduce a download option
    - Adjust menu to PatternFly's current navigation design
    - Searching with keywords
    - Software Updates: Use notifications for available updates info
    - Web server security hardening
  * New upstream release 206:
    - Machines: Network interface deletion
    - login: Enable administration mode by default
    - Firewall: Prevent accidental deletion
    - Closes: #943839

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Oct 2019 22:20:56 +0000

cockpit (204-1) unstable; urgency=medium

  * New upstream release:
    - System: Highlight failed services
    - Machines: Configure read-only and shareable disks
    - Playground: Add index page

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 Oct 2019 12:48:59 +0000

cockpit (202.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix major CSS regression on Logs and some other pages
    - Fix building on RHEL/CentOS 7

 -- Martin Pitt <mpitt@debian.org>  Mon, 09 Sep 2019 19:04:54 +0000

cockpit (202-1) unstable; urgency=medium

  * New upstream release:
    - Machines: Creation of Storage Volumes
    - Improved component for selecting paths on the filesystem

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Sep 2019 15:03:44 +0000

cockpit (200-1) unstable; urgency=medium

  * New upstream release:
    - Machines: Type-ahead OS selection
    - Machines: LVM storage pools
    - Networking: Show included firewalld services
    - Web server: Split out TLS handling

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Aug 2019 20:50:48 +0000

cockpit (199-1) unstable; urgency=medium

  * New upstream release:
    - Redesigned logs all over cockpit
    - Services: Design and accesibility improvements
    - System: Show DIMM information on Hardware Info page
    - Machines: VM creation dialog now shows the recommended memory for the
      selected OS

 -- Martin Pitt <mpitt@debian.org>  Thu, 25 Jul 2019 09:38:12 +0000

cockpit (198-1) unstable; urgency=medium

  * New upstream release:
    - PatternFly4 user interface design
    - SELinux: Show changes
    - Machines: Deletion of Virtual Networks
    - Machines: Support more disk types
    - Docker: Change menu label
    - Web server: More flexible https redirection for proxies

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Jul 2019 14:25:47 +0000

cockpit (197-1) experimental; urgency=medium

  * New upstream release:
    - Machines: Support all storage pool types for new disks
    - Machines: Show available space on host at VM creation

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jun 2019 12:53:30 +0000

cockpit (196-1) experimental; urgency=medium

  * New upstream release:
    - machines: Install from iso URL
    - machines: Show IP of network interfaces

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Jun 2019 12:11:02 +0000

cockpit (195-1) experimental; urgency=medium

  * New upstream release:
    - Simplified support for external TLS termination
    - Firewall: More support for zones
    - Machines: Additional storage options
    - Machines: Support for changing memory allocation
    - Storage: Select encryption type separately from filesystem

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 May 2019 15:47:03 +0000

cockpit (194-1) experimental; urgency=medium

  * New upstream release:
    - Firewall: Add services to a specific zone
    - Redesigned on/off switch

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 May 2019 14:22:53 +0000

cockpit (193-1) experimental; urgency=medium

  * New upstream release:
    - Machines: iSCSI direct storage pools
    - Storage: The "Format" button is no longer hidden
    - Storage: Improve performance with many block devices

 -- Martin Pitt <mpitt@debian.org>  Sun, 05 May 2019 19:18:28 +0000

cockpit (192-1) experimental; urgency=medium

  * New upstream release:
    - Machines: Auto-detect guest operating system
    - Translation cleanup
    - Allow accounts with non-standard shells

 -- Martin Pitt <mpitt@debian.org>  Wed, 17 Apr 2019 11:28:57 +0000

cockpit (191-1) experimental; urgency=medium

  * New upstream release:
    - Machines: iSCSI Storage pools
    - Machines: better notifications
    - System: CPU security mitigation
    - Network: Ports in the Firewall
    - Fix distclean to not remove files from the tarball (Closes: #924744)
    - Remove broken Scientific Linux branding symlinks (Closes: #925429)
    - Suggest cockpit-machines (Closes: #881672)

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Apr 2019 08:45:20 +0000

cockpit (190-1) experimental; urgency=medium

  * New upstream release:
    - Logs: Filter log entries by service
    - Machines: Support for Pausing/Resuming VMs
    - Machines: Make Autostart property of a Virtual Network configurable
    - Machines: Support for creating VM with option to boot from PXE
    - Accessibility improvements

 -- Martin Pitt <mpitt@debian.org>  Fri, 22 Mar 2019 17:48:29 +0000

cockpit (189-1) experimental; urgency=medium

  * New upstream release:
    - Machines: Import existing image when creating VM
    - Machines: Introduce virtual networks
    - Services: Filtering of services by name, description, and state

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Mar 2019 15:51:24 +0000

cockpit (188-1) unstable; urgency=medium

  * New upstream release:
    - Machines: Show Storage Volume user
    - Machines: Autostart configuration
    - Terminal: Themes and context menu
    - Storage: Responsive dialogs
    - Software Updates: Show three most recent updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Feb 2019 16:22:20 +0000

cockpit (187-1) unstable; urgency=medium

  * New upstream release:
    - Machines: More operations for Storage Pools
    - Domains: More information about the joined domain
    - Storage: The options for VDO volumes are explained
    - Machines: Support for oVirt will be dropped in the future

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Feb 2019 13:27:11 +0000

cockpit (186-1) unstable; urgency=medium

  * New upstream release:
    - Redesign the Service page
    - Make System Overview page mobile friendly

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Jan 2019 16:25:51 +0000

cockpit (185-1) unstable; urgency=medium

  * New upstream release:
    - Responsive dialogs on network, kdump and users page
    - Kubernetes containers included in docker graphs

 -- Martin Pitt <mpitt@debian.org>  Thu, 17 Jan 2019 07:43:10 +0000

cockpit (184-1) unstable; urgency=medium

  * New upstream release:
    - Machines: Dialog and tab layout is now responsive
    - Storage: Filesystem labels are validated upfront
    - Storage: Some mount options are prefilled when needed
    - Integration of Cockpit pages on the desktop

 -- Martin Pitt <mpitt@debian.org>  Thu, 13 Dec 2018 18:42:02 +0000

cockpit (183-1) unstable; urgency=medium

  * New upstream release:
    - Machines: Manage storage pools
    - Kernel Dump: Support non-local targets
    - Respect SSH configuration
    - Never send Content-Length with chunked encoding

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Nov 2018 14:52:23 +0000

cockpit (182-1) unstable; urgency=medium

  * New upstream release:
    - libvirt connection choice during VM creation
    - PackageKit page update severity tooltip
    - PackageKit page display registration status clearly

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Nov 2018 16:37:50 +0000

cockpit (181-1) unstable; urgency=medium

  * New upstream release:
    - Followup fixes related to the switch away from react-lite
    - Memory graph layout and color improvements
    - Machines: edit network interfaces
    - Update look of lists to match Patternfly

 -- Martin Pitt <mpitt@debian.org>  Wed, 31 Oct 2018 17:46:38 +0000

cockpit (180-1) unstable; urgency=medium

  * New upstream release:
    - Move to ssh SHA256 fingerprints
    - Machines: Show error messages in the correct place

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 Oct 2018 12:54:43 +0000

cockpit (179-1) unstable; urgency=medium

  * New upstream release:
    - Machines: Detach disk from VM with LibvirtDBus provider
    - Machines: Offer cockpit-machines as Application

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Oct 2018 14:10:59 +0000

cockpit (178-1) unstable; urgency=medium

  * New upstream release:
    - Lots of crash fixes

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Sep 2018 12:52:57 +0000

cockpit (177-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Support LUKS v2
    - Support centrally-managed SSH known hosts
    - Drop support for Internet Explorer

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Sep 2018 18:52:07 +0000

cockpit (176-2) unstable; urgency=medium

  * Fix arch-indep build.
    When building only arch-indep packages, the cockpit-ws package does not
    get built, and trying to remove the firewalld service failed.
    (Closes: #907108)

 -- Martin Pitt <mpitt@debian.org>  Sat, 25 Aug 2018 08:35:14 +0000

cockpit (176-1) unstable; urgency=medium

  * New upstream release 175:
    - Network bound disk encryption
  * New upstream release 176:
    - Login: Suggest other browser when browser is unsupported
    - Fix building against libssh 0.8
    - Stop shipping firewall service file with recent firewalld
      (Closes: #905389)

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Aug 2018 14:23:53 +0000

cockpit (174-1) unstable; urgency=medium

  * New upstream release:
    - Kubernetes: VM detail page
    - Realmd: Install on demand

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Aug 2018 15:31:09 +0000

cockpit (173-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Offer installation of VDO
    - Machines: Add disks to a virtual machine
  * Re-enable cockpit-pcp package, pcp has been in testing for a while now.

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Jul 2018 16:38:11 +0000

cockpit (172-1) unstable; urgency=medium

  * New upstream release:
    - System: Offer installation of PCP
    - Software Updates: Improve layout in mobile mode
    - Remove ability to drop privileges from navigation bar
    - API: Introduce flow control for all channels
    - Python 3 support

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Jul 2018 15:15:07 +0000

cockpit (171-1) unstable; urgency=medium

  * New upstream release:
    - Machines: Add virtual CPU configuration
    - Kubernetes: Add KubeVirt pod metrics
    - Docker: Show container volumes
    - Fix broken actions for non-administrators
    - Networking: Handle non-running NetworkManager
    - Accounts: User role improvements
    - Localize times

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Jun 2018 18:39:25 +0000

cockpit (170-1) unstable; urgency=medium

  * New upstream release:
    - Software Updates: Layout rework
    - oVirt: Use authenticated libvirt connection by default

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Jun 2018 11:55:54 +0000

cockpit (169-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Offer installation of NFS client support
    - System: Request FreeIPA SSL certificate for Cockpit's web server
    - Services: Show unit relationships
    - Provide motd help about how to access cockpit

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 May 2018 11:29:40 +0000

cockpit (168-1) unstable; urgency=medium

  * New upstream release:
    - Improve checks for root privilege availability

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 May 2018 10:14:12 +0000

cockpit (167-1) unstable; urgency=medium

  * New upstream release:
    - Networking: Add Firewall Configuration
    - Kubernetes: Show Kubevirt Registry Disks

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 May 2018 16:36:41 +0000

cockpit (166-1) unstable; urgency=medium

  * New upstream release:
    - Kubernetes: Add creation of Virtual Machines
    - Realms: Automatically set up Kerberos keytab for Cockpit web server
    - Numbers now get formatted correctly for the selected language

 -- Martin Pitt <mpitt@debian.org>  Wed, 18 Apr 2018 15:02:24 +0200

cockpit (165-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Show more details of sessions and services that keep NFS busy
    - Machines: Detect if libvirtd is not running
    - Machines: Show virtual machines that are being created

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Apr 2018 13:18:47 +0200

cockpit (164-1) unstable; urgency=medium

  * New upstream release:
    - Storage: Move NFS management into new details page
    - System: Show available package updates and missing registration
    - System: Fix inconsistent tooltips
    - Logs: Change severities to officially defined syslog levels
    - Machines: Add error notifications
    - Accessibility improvements
    - Reloading the page in the browser now reloads Cockpit package manifests

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Mar 2018 16:33:50 +0100

cockpit (163-1) unstable; urgency=medium

  * New upstream release:
    - Drop "Transfer data asynchronously" VDO option on Storage page
    - Hide Docker storage pool reset button when it cannot work properly
    - Update jQuery to version 3.3.1 (deprecated cockpit API!)

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Mar 2018 14:01:26 +0100

cockpit (162-1) unstable; urgency=medium

  * New upstream release:
    - Show pod name and disks of VMs running in Kubernetes
    - Tighten up the default Content-Security-Policy

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Feb 2018 17:00:36 +0100

cockpit (161-1) unstable; urgency=medium

  * New upstream release:
    - New VMs can be created on Machines page
    - VMs running in Kubernetes can now be deleted
    - Improve LVM volume resizing
    - Add new Hardware Information page
    - Load Application metadata (Appstream) packages on demand on Debian/Ubuntu
    - Stop advertising and supporting cockpit-bundled jQuery library

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Feb 2018 12:50:15 +0100

cockpit (160-1) unstable; urgency=medium

  * New upstream release:
    - Add kubevirt Virtual Machines overview
    - Redesign package list on Software Updates page and show RHEL Errata
    - Install AppStream collection metadata packages on demand on Apps page
    - Add AppStream metadata to cockpit-sosreport for showing up on Apps page
    - Change CPU graphs to use "100%" for a fully loaded multi-processor system
    - Show storage, network, and other numbers with 3 digits of precision
    - Add an example bastion container

 -- Martin Pitt <mpitt@debian.org>  Wed, 24 Jan 2018 11:02:51 +0100

cockpit (159-1) unstable; urgency=medium

  * New upstream release:
    - Configure data deduplication with VDO devices on Storage page
    - Add serial console to virtual Machines page and redesign the
      Consoles tab
    - Show more error message details for failures on virtual Machines page

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Jan 2018 14:34:54 +0100

cockpit (158-1) unstable; urgency=medium

  * New upstream release:
    - Add check boxes for common NFS mount options
    - Clarify Software Update status if only security updates are available
    - Create self-signed certificates with SubjectAltName

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Dec 2017 11:11:20 +0100

cockpit (157-1) unstable; urgency=medium

  * New upstream release:
    - Add Networks tab to overview on Machines page
    - The Apps page now displays SVG app icons

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Nov 2017 15:08:08 +0100

cockpit (156-1) unstable; urgency=medium

  * New upstream release:
    - Redesign navigation and support mobile browsing
    - Use /etc/cockpit/krb5.keytab if present to support alternate keytabs
    - Add project homepage link to Apps page
    - Maintain issue(5) file with current Cockpit status

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Nov 2017 10:08:35 +0100

cockpit (155-1) unstable; urgency=medium

  * New upstream release:
    - Add NFS client support to the Storage page
    - Fix Terminal rendering issues in Chrome
    - Prevent closing Terminal with Ctrl+W when focused

 -- Martin Pitt <mpitt@debian.org>  Tue, 07 Nov 2017 09:51:07 +0100

cockpit (154-1) unstable; urgency=medium

  * New upstream release:
    - Center the "Disconnected" message in the content area
    - Remove long-obsolete "./configure --branding" option

 -- Martin Pitt <mpitt@debian.org>  Wed, 18 Oct 2017 11:42:03 +0200

cockpit (153-1) unstable; urgency=medium

  * New upstream release:
    - Clean up rpmlint/lintian errors in the packages

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 Oct 2017 11:08:58 +0200

cockpit (152-1) unstable; urgency=medium

  * New upstream release:
    - Add Applications page
    - Add automatic update configuration for dnf to Software Updates
    - Fix cockpit-bridge crash if /etc/os-release does not exist

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Oct 2017 17:23:09 +0200

cockpit (151-1) unstable; urgency=medium

  * New upstream release:
    - Support loading SSH keys from arbitrary paths
  * Ignore PhantomJS crashes in avocado autopkgtest
    checklogin-basic.py causes a PhantomJS crash on Ubuntu artful on amd64
    which does not reproduce in QEMU. (Closes: #873241)
  * Add smoke autopkgtest that can run in containers.
    Add a simple test of cockpit-bridge and the login page to ensure that
    packages have the right dependencies and contents, and that the systemd
    units are set up correctly to get a login page on
    https://localhost:9090.
    This can also run in a container and thus in Debian's CI and on all
    Ubuntu architectures.

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Sep 2017 10:25:46 +0200

cockpit (150-2) unstable; urgency=medium

  * Drop nodejs-legacy autopkgtest dependency. That package ceased to exist,
    and the tests don't need the /usr/bin/node binary.

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Sep 2017 08:28:22 +0200

cockpit (150-1) unstable; urgency=medium

  * New upstream release 149:
    - Support sending non-maskable interrupt to VMs
    - Add information about non-met conditions for systemd services
    - Clear cockpit cookie on logout
  * New upstream release 150:
    - Automatically enable and start newly created timers on the Services page

 -- Martin Pitt <mpitt@debian.org>  Fri, 08 Sep 2017 12:42:10 +0200

cockpit (148-1) unstable; urgency=medium

  * New upstream release:
    - Fix navigation and various JavaScript errors with Internet Explorer
    - Detect unregistered RHEL systems on Software Updates page
    - debian/copryight: Add missing copyrights and licenses (Closes: #869934)

 -- Martin Pitt <mpitt@debian.org>  Fri, 04 Aug 2017 13:07:47 +0200

cockpit (147-1) unstable; urgency=medium

  * New upstream release:
    - Add configuration of account locking and password expiry to Accounts
      page
    - Consistently ignore loopback traffic on all network load graphs
    - Fix the Kdump page in Internet Exporer

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Jul 2017 15:27:28 +0200

cockpit (146-1) unstable; urgency=medium

  * New upstream release:
    - Show recent updates and live update log on Software Updates page
    - Improve available Software Updates table layout for small/mobile screens
    - Support OAuth Kubernetes logins to work with Google Compute Engine
    - Fix reporting ABRT crashes that are already known to the server
    - Scroll the virtual machine VNC console into view automatically

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Jul 2017 11:25:26 +0200

cockpit (145-1) unstable; urgency=medium

  * New upstream release:
    - Resize the terminal dynamically to use all available space
    - Let the Machines page update immediately after changes
    - Add delete VM functionality to the Machines page
    - Retire support for external Machines provider API
    - Always recommend rebooting after applying Software Updates
    - Group D-Bus channels to avoid hitting connection limits
    - Fix building on Fedora Rawhide/glibc 2.25.90

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Jul 2017 14:23:51 +0200

cockpit (144-1) unstable; urgency=medium

  * New upstream release:
    - Add ability to cancel software updates while it is safe
    - Show progress of "Refreshing package information" on the Software Updates
      page
    - Add ABRT integration to the System page
    - Fix Machines page to only react to primary mouse button clicks on Firefox

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Jun 2017 22:53:27 +0200

cockpit (143-1) unstable; urgency=medium

  * New upstream release:
    - Add "Software Updates" page for package (rpm/deb) based operating
      systems
    - Fix cockpit-machines package to make inline VNC console actually work

 -- Martin Pitt <mpitt@debian.org>  Mon, 19 Jun 2017 16:44:35 +0200

cockpit (142-1) unstable; urgency=medium

  * New upstream release:
    - Virtual machines display an interactive console, either in browser, or a
      popup viewer
    - Fix Virtual Machines operations on non-English locales
    - Add documentation explaining how to grant/restrict access via polkit
      rules

 -- Martin Pitt <mpitt@debian.org>  Fri, 09 Jun 2017 17:33:22 +0200

cockpit (141-2) unstable; urgency=medium

  * Fix autopkgtest:
    - Latest avocado now requires python-libvirt, add it as test dependency.
    - Use the packaged phantomjs instead of phantomjs-prebuilt as that is only
      available for x86_64; this should make the tests work on other
      architectures too. The Debian/Ubuntu phantomjs package is built with Qt
      support, so run under $QT_QPA_PLATFORM=offscreen to work in a headless
      test environment.
    - Drop stray "sudo" command. The test already runs as root, this was a
      copy&paste leftover.

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Jun 2017 08:47:31 +0200

cockpit (141-1) unstable; urgency=medium

  * New upstream release:
    - Attempt to tear down used partitions when formatting disks
    - Show the correct known_hosts path on missing/mismatching host keys
    - Set HTML content type when serving login page, for better reverse proxy
      operation
    - Fix Kubernetes page incompatibility with recent Firefox versions
    - Set the system:authenticated role on anonymous Kubernetes projects

 -- Martin Pitt <mpitt@debian.org>  Thu, 01 Jun 2017 15:33:33 +0200

cockpit (140-1) unstable; urgency=medium

  * New upstream release:
    - Use SSCG to generate SSL certificates if available
    - Add a "cockpit-bridge --rules" option to output the rules
    - Allow auth commands to store credentials for future challenges
    - Allow users to change Docker container environment variables
    - Disable shutdown/reboot button for unprivileged users on the System page
    - Fix binary channel data for child iframes, used e. g. in Docker terminals
    - Don't install broken branding symlinks. (Closes: #859870)
  * Drop cockpit-pcp package. It wasn't meant to be packaged as long as pcp is
    not in testing.

 -- Martin Pitt <mpitt@debian.org>  Mon, 08 May 2017 23:26:30 +0200

cockpit (139-1) unstable; urgency=medium

  * New upstream release:
    - Show more information about virtual machines, such as boot order
    - Fix enablement of timer systemd units created on Services page
    - Fix Storage crash on multiple iSCSI sessions
    - cockpit-docker is now installable with docker-ce or other alternatives
    - Hide docker push commands on Registry image pages for  "pull" roles

 -- Martin Pitt <mpitt@debian.org>  Sun, 23 Apr 2017 22:13:20 +0200

cockpit (138-1) unstable; urgency=medium

  * New upstream release:
    - Only allow mdraid disk removal when it won't destroy data
    - Allow DN style usernames in the Kubernetes dashboard
    - Simplify protocol that cockpit talks to session authentication processes
  * Sync packaging with upstream.

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Apr 2017 14:53:33 +0200

cockpit (137-3) unstable; urgency=medium

  * Build with autoreconf.
    This will make the previous patches actually effective, and also ensure
    good architecture support.

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Apr 2017 14:06:31 +0200

cockpit (137-2) unstable; urgency=medium

  * Cherry-pick upstream patches to fix build with inaccessible home directory.
    Fixes FTBFS on most architectures.

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Apr 2017 12:22:03 +0200

cockpit (137-1) unstable; urgency=medium

  * New upstream release:
    - Does not use kernel keyring any more, thus this should fix the FTBFS on
      mips/mipsel and Ubuntu armhf.
  * Update packaging for moving from pam_reauthorize.so and cockpit-polkit
    to cockpit-askpass helper.
  * Fix autopkgtest on Ubuntu
  * Run cockpit-ws unprivileged under cockpit-ws user
  * Lower cockpit-docker Recommends to Suggests
  * Upload to unstable, with the above fixes it should be good enough for more
    wide-scale testing.

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Apr 2017 09:53:43 +0200

cockpit (134-1) experimental; urgency=medium

  * Initial release. (Closes: #820107)

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Mar 2017 14:43:06 +0100
